org.modeshape.sequencer.ddl.dialect.teiid

## Interface TeiidDdlLexicon.CreateProcedure

- Enclosing class:
    TeiidDdlLexicon

      public static interface TeiidDdlLexicon.CreateProcedure

  JCR names related to the create procedure DDL statement.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FUNCTION_STATEMENT` The mixin name for a create function statement.
    `static String` | `PARAMETER` The mixin name for a create procedure parameter.
    `static String` | `PARAMETER_RESULT_FLAG` The name of the procedure parameter result flag property.
    `static String` | `PARAMETER_TYPE` The name of the procedure parameter type property.
    `static String` | `PROCEDURE_STATEMENT` The mixin name for a create procedure statement.
    `static String` | `RESULT_COLUMN` The mixin name of a result column.
    `static String` | `RESULT_COLUMNS` The mixin name of the result set that contains result columns.
    `static String` | `RESULT_DATA_TYPE` The mixin name of the result set that contains one unnamed data type.
    `static String` | `RESULT_SET` The child node name for a result set (name is not prefixed).
    `static String` | `STATEMENT` The name of the procedure statement property.
    `static String` | `TABLE_FLAG` The name of the procedure result columns table flag property.

- - ### Field Detail

    - #### FUNCTION_STATEMENT

          static final String FUNCTION_STATEMENT

      The mixin name for a create function statement.
      See Also:
        Constant Field Values

    - #### PARAMETER

          static final String PARAMETER

      The mixin name for a create procedure parameter.
      See Also:
        Constant Field Values

    - #### PARAMETER_RESULT_FLAG

          static final String PARAMETER_RESULT_FLAG

      The name of the procedure parameter result flag property.
      See Also:
        Constant Field Values

    - #### PARAMETER_TYPE

          static final String PARAMETER_TYPE

      The name of the procedure parameter type property.
      See Also:
        Constant Field Values

    - #### PROCEDURE_STATEMENT

          static final String PROCEDURE_STATEMENT

      The mixin name for a create procedure statement.
      See Also:
        Constant Field Values

    - #### RESULT_COLUMN

          static final String RESULT_COLUMN

      The mixin name of a result column.
      See Also:
        Constant Field Values

    - #### RESULT_COLUMNS

          static final String RESULT_COLUMNS

      The mixin name of the result set that contains result columns.
      See Also:
        Constant Field Values

    - #### RESULT_DATA_TYPE

          static final String RESULT_DATA_TYPE

      The mixin name of the result set that contains one unnamed data type.
      See Also:
        Constant Field Values

    - #### RESULT_SET

          static final String RESULT_SET

      The child node name for a result set (name is not prefixed).
      See Also:
        Constant Field Values

    - #### STATEMENT

          static final String STATEMENT

      The name of the procedure statement property.
      See Also:
        Constant Field Values

    - #### TABLE_FLAG

          static final String TABLE_FLAG

      The name of the procedure result columns table flag property.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.